#
# spec file for package python-traitlets
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-traitlets
Version:        4.0.0
Release:        1.1
Summary:        Traitlets Python config system
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://ipython.org
Source:         https://pypi.python.org/packages/source/t/traitlets/traitlets-%{version}.tar.gz
BuildRequires:  python-decorator
BuildRequires:  python-devel
BuildRequires:  python-ipython_genutils
BuildRequires:  python-nose
BuildRequires:  python-setuptools
Requires:       python-decorator
Requires:       python-ipython_genutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A configuration system for Python applications.

%prep
%setup -q -n traitlets-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc examples/
%{python_sitelib}/*

%changelog
* Fri Aug 14 2015 toddrme2178@gmail.com
- Fix package naming consistency
* Thu Aug 13 2015 toddrme2178@gmail.com
- Update dependency names
* Tue Jul 21 2015 toddrme2178@gmail.com
- Initial version
